Subject: A BIRd for bus-switches

From: John V Fitzpatrick <[email-masked]>
Date: Mon, 10 Feb 1997 15:57:45 +0100

Hello all,

Below is a proposal for a BIRD dealing with series non-linear devices
and bus switches. It is based on reflector discussions. Only one
additional keyword is defined.

Please note 3 features that can be criticised independently:

    * definition of series model between 2 pins
    * the addition of state information for crossbar switches
    * the reuse of [Pullup] and [Pulldown] curves by
      forcing one pin of the device to be either OPEN, GND or POWER.

What's missing is information to model series L's and C's.

This BIRD does not attempt to model the behavior of a bus-switch 
as a function of the control voltage applied to the transistor gate,
a feature used in 5V-to-3.3V protection schemes.
 
I'd appreciate your feedback before oficially submitting this BIRD.

Regards,
John

-- 
John Fitzpatrick   <[email-masked]>    
Alcatel Telecom, 4 rue de Broglie, 22304 Lannion, France
Tel: +33(0)2.96.04.79.33  Fax: +33(0)2.96.04.85.09

************************************************************************
************************************************************************

BIRD ID#:      N/A
ISSUE TITLE:   Modelling Series switchable devices
REQUESTER:     John Fitzpatrick, Alcatel
DATE SUBMITTED:                       Pending
DATE ACCEPTED BY IBIS OPEN FORUM:     Pending

************************************************************************
************************************************************************

STATEMENT OF THE ISSUE:

IBIS cannot model series devices. 
IBIS cannot model switches.

************************************************************************

STATEMENT OF THE RESOLVED SPECIFICATIONS:

One new keyword is  defined under [Component]:
       [Series_Pin]
       
Two additional Model_type values are allowed under the [Model] keyword:
       Series, 
       Series_Switch.
     
New measurement methods are defined for impedance tables.

New text:

|======================================================================
|    Keyword:  [Series_Pin]
|   Required:  Optional
|Description:  Used to associate two pins joined by a series device.
| Sub-Params:  Pin1, Pin2, Model_Name, State
|Usage Rules:  Entries follow these rules: Only series pin pairs
|              are entered.  The Pin1 column contains the pin number for 
|              which input impedances are measured. The Pin2 column
|              contains the pin name of the other end of the series 
|              device. The Model_Name colum contains the name of the 
|              model corresponding to the series device.
|              The State column contains the optional name of the state
|              in which the series device, if it is a switch, can be ON. 
|              In all other states, the device is OFF
|
|               Column length limits are:
|                  Pin1          5 characters max
|                  Pin2          5 characters max
|                  Model_Name   20 characters max
|                  State        20 characters max
| 
|Other Notes: 
|              The order of the pins are important. The model  
|              corresponds to measurements made at Pin1.
|              If the device is not symmetric, a different model may be
|              specified with the pin order swapped.
|
|              In the case of a crossbar switch, all possible series
|              connections must be listed.  Switching information is
|              contained under the State column. 
|              If the device is not a switch, no State shall be 
|              specified.
|
|              The model name given here supersedes that given 
|              under the the [Pin] keyword
|
[Series_Pin]
|Pin1      Pin2    Buffer       State
    3         4    switchA       AB-CD      |switchA is buffer from 3 to
                                            |4
    4         3    switchAneg    AB-CD      |Buffer from 3 to 4 is
                                            |non-symmetric
   12        13    switchA       AB-CD
   12        14    switchB       AC-BD      |12 can be routed to 13 or
                                            |14

Change existing text from:
|               Model_type must be one of the following:
|               Input, Output, I/O, 3-state, Open_drain, I/O_open_drain,
|               Open_sink, I/O_open_sink, Open_source, I/O_open_source,
|               Input_ECL, Output_ECL, I/O_ECL, and Terminator.
|
to:
|               Model_type must be one of the following:
|               Input, Output, I/O, 3-state, Open_drain, I/O_open_drain,
|               Open_sink, I/O_open_sink, Open_source, I/O_open_source,
|               Input_ECL, Output_ECL, I/O_ECL, Terminator, Series or
|               Series_switch.
|

Add text to the special usage rules:
|
|               Series             This models a series device i.e.
two     
|                                  pins
|                                  The following impedance keywords can
|                                  be used:
|                                  [Pulldown] for through Z
|                                  [GND_clamp] for input Z
|                                  [POWER_clamp] for input Z (optional)
|                                 
|               Series_switch      This models a series device that can
|                                  can be either ON or OFF.
|                                  The following impedance keywords can
|                                  used:  
|                                  [Pulldown] for through Z when OFF
|                                  [Pullup] for through Z when ON
|                                  [GND_clamp] for input Z
|                                  [POWER_clamp] for input Z (optional)
|

Add the following text somewhere:

|  The definition of I/V tables are different for series devices.
|  **All measurements shall be made at Pin1.** 
|  For [GND_Clamp], Pin2 shall be open. If the series device is a 
|  switch, the switch shall be OFF.
|  A [POWER_clamp] curve may be included if a POWER clamp structure
|  is present.
|  To measure [Pulldown], Pin2 shall be shorted to ground. If the series 
|  device is a switch, the switch shall  be OFF.
|  If the device is a switch, [Pullup] is also needed: Pin2 shall be
|  shorted to POWER, the switch shall be ON.
|  
|  Note: POWER is the control voltage for the switch.  If the switch
|  can be used for different POWER values, the different [Model]s
|  shall be included in the IBIS file.

 ***********************************************************************

ANALYSIS PATH/DATA THAT LED TO SPECIFICATION:

Bus-switches (ex: 74LVX3L383 from NS or 74CBT3383 from TI) are
increasingly being used on high-speed boards. They cannot be
modelled by IBIS 2.1. 

This BIRD allows the definition of a series device which is
connected between any two pins. If this device is a non-linear
resistor (e.g. a diode), then it can be described by an I/V
table. This BIRD proposes to use the [Pulldown] table. To obtain
this table, one of the pins of the series device is grounded.

If the device is a switch, then it can be ON or OFF. This means
that there needs to be an extra I/V table. This BIRD proposes to use
the [Pullup] table. To avoid changing the definition of the
[Pullup] table, one of the pins is connected to POWER.

As suggested by Chris Reid, a state entry is added to allow
crossbar switches be modelled. It is expected that the simulator
detect these states, then ask the user to choose one of them.

***********************************************************************

ANY OTHER BACKGROUND INFORMATION:

This BIRD is designed to reuse as much as possible existing keywords.
This will surely confuse model suppliers and users, but should
facilitate acceptance of the BIRD by the simulator companies.
(What does Pullup mean in the context of a diode???)

The definition of the [Series Pin] keyword may need to be changed
in order to take into account connectors, which are also series
devices.

This BIRD might be extendable to include linear amplifiers
e.g.the 74ALB series announced by TI.

Additional keywords might be defined to allow series inductors
and capacitors be defined.